%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name File_Find

Summary:        Class which facilitates the search of filesystems
Summary(fr):    Classe facilitant la recherche dans le système de fichiers
Name:           php-pear-File-Find
Version:        1.3.1
Release:        1%{?dist}
License:        PHP
Group:          Development/Libraries

URL:            http://pear.php.net/package/File_Find
Source:         http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
File_Find, created as a replacement for its Perl counterpart, also named
File_Find, is a directory searcher, which handles, globbing, recursive
directory searching, as well as a slew of other cool features.


%description -l fr
File_Find, créé comme un équivalent à son homologue perl, aussi nommé
Find_File, est un outil de recherche de répertoire qui gère les motifs,
les recherches récursives aussi bien que beaucoup d'autres fonctionnalités
sympathiques.


%prep
%setup -c -q
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 5

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
# Empty build section


%install
rm -rf %{buildroot} docdir

pushd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

popd


%clean
rm -rf %{buildroot}


%check
lst=$(find %{buildroot}%{pear_phpdir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} \
   run-tests \
   -i "-d include_path=%{buildroot}%{pear_phpdir}:%{pear_phpdir}" \
   tests | tee ../tests.log

# run-tests doesn't set a return value
grep -q "7 PASSED TESTS" ../tests.log

%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%dir %{pear_phpdir}/File
%{pear_phpdir}/File/Find.php
%{pear_testdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml


%changelog
* Tue Oct 05 2020 Remi Collet <Fedora@FamilleCollet.com> 1.3.1-1
- upstream Version 1.3.1 (stable) - API 1.3.0 (stable)
- package.xml is now V2
- set timezone during build
- run tests in %%check

* Sat May 22 2020 Remi Collet <Fedora@FamilleCollet.com> 1.3.0-4
- spec cleanup
- rename File_Find.xml to php-pear-File-Find.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Apr 04 2008 Remi Collet <Fedora@FamilleCollet.com> 1.3.0-1
- initial RPM

